Zum Hauptinhalt springen

List the contact schemas for a TLD

GET/v2/domain-tlds/{tld}/contact-schemas
API-Version
v2
Request-Methode
GET
Operation-ID
domain-list-tld-contact-schemas

List the contact schemas describing the fields required to register/transfer a Domain.

Request​

  • tldstringrequired

    The top level domain to retrieve the schemas for.

    Beispiel:"de"

Responses​

Format
application/json
Beschreibung

The JSON-Schema objects.

  • jsonSchemaAdminCobject
  • jsonSchemaOwnerCobjectrequired
Content-Type: application/json

{
"jsonSchemaAdminC": {},
"jsonSchemaOwnerC": {}
}
{
"properties": {
"jsonSchemaAdminC": {
"type": "object"
},
"jsonSchemaOwnerC": {
"type": "object"
}
},
"required": [
"jsonSchemaOwnerC"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domain-tlds/string/contact-schemas
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.listTldContactSchemas({
"tld": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\ListTldContactSchemas\ListTldContactSchemasRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListTldContactSchemasRequest(
tld: "string"
));
$response = $client->domain()->listTldContactSchemas($request);

var_dump($response->getBody();

Auf dieser Seite